OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_SurfaceCurveAndBoundedCurve Class Reference

complex type: bounded_curve + surface_curve
needed for curve_bounded_surfaces (S4132)

`#include <StepGeom_SurfaceCurveAndBoundedCurve.hxx>`

Inheritance diagram for StepGeom_SurfaceCurveAndBoundedCurve:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_SurfaceCurveAndBoundedCurve ()
| creates empty object
Standard_EXPORT Handle_StepGeom_BoundedCurve & | BoundedCurve ()
| returns field BoundedCurve
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_BoundedCurve | myBoundedCurve

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_SurfaceCurveAndBoundedCurve::StepGeom_SurfaceCurveAndBoundedCurve | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_BoundedCurve& StepGeom_SurfaceCurveAndBoundedCurve::BoundedCurve | ( |  | ) |

Standard_EXPORT const StepGeom_SurfaceCurveAndBoundedCurve::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_SurfaceCurve.

## Field Documentation

Handle_StepGeom_BoundedCurve StepGeom_SurfaceCurveAndBoundedCurve::myBoundedCurve`[private]`

The documentation for this class was generated from the following file:

- StepGeom_SurfaceCurveAndBoundedCurve.hxx